// A library for the Controllino Mega RTC
// Changelog
// 20240321: NEW
//java -jar B4Rh2xml.jar rControllino_RTC.h rControllino_RTC.xml

#pragma once
#include "B4RDefines.h"

//~version: 1.20
namespace B4R {
	//~shortname: CONTROLLINO
	class B4RCONTROLLINO {
		public:
			//Initialize the RTC
			Byte Init();
			//Set the RTC Date and Time
			Byte SetTimeDate(Byte aDay, Byte aWeekDay, Byte aMonth, Byte aYear, Byte aHour, Byte aMinute, Byte aSecond);
			//Get the Day
			Byte GetDay();
			//Get the Weekday
			Byte GetWeekDay();
			//Get the Month
			Byte GetMonth();
			//Get the Year
			Byte GetYear();
			//Get the Hour
			Byte GetHour();
			//Get the Minutes
			Byte GetMinute();
			//Get the Seconds
			Byte GetSecond();
			
			//Reads data from the EEPROM and returns it as a new array.
			//Position - Address of the first byte.
			//Count - Number of bytes to read.
//			ArrayByte* ReadBytes(UInt Position, UInt Count);
			//Similar to ReadBytes. The data is copied to the passed array.
//			void ReadBytes2(UInt Position, UInt Count, ArrayByte* Dest);
			//Returns the size of the EEPROM.
//			UInt getSize();
	};
}


